CREATE TABLE ben_dsgn_rqmt_rlshp_typ (
    DSGN_RQMT_RLSHP_TYP_ID    NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    RLSHP_TYP_CD              VARCHAR2(120),
    DSGN_RQMT_ID              NUMBER(18, 0),
    DRR_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    DRR_ATTRIBUTE1            VARCHAR2(600),
    DRR_ATTRIBUTE2            VARCHAR2(600),
    DRR_ATTRIBUTE3            VARCHAR2(600),
    DRR_ATTRIBUTE4            VARCHAR2(600),
    DRR_ATTRIBUTE5            VARCHAR2(600),
    DRR_ATTRIBUTE6            VARCHAR2(600),
    DRR_ATTRIBUTE7            VARCHAR2(600),
    DRR_ATTRIBUTE8            VARCHAR2(600),
    DRR_ATTRIBUTE9            VARCHAR2(600),
    DRR_ATTRIBUTE10           VARCHAR2(600),
    DRR_ATTRIBUTE11           VARCHAR2(600),
    DRR_ATTRIBUTE12           VARCHAR2(600),
    DRR_ATTRIBUTE13           VARCHAR2(600),
    DRR_ATTRIBUTE14           VARCHAR2(600),
    DRR_ATTRIBUTE15           VARCHAR2(600),
    DRR_ATTRIBUTE16           VARCHAR2(600),
    DRR_ATTRIBUTE17           VARCHAR2(600),
    DRR_ATTRIBUTE18           VARCHAR2(600),
    DRR_ATTRIBUTE19           VARCHAR2(600),
    DRR_ATTRIBUTE20           VARCHAR2(600),
    DRR_ATTRIBUTE21           VARCHAR2(600),
    DRR_ATTRIBUTE22           VARCHAR2(600),
    DRR_ATTRIBUTE23           VARCHAR2(600),
    DRR_ATTRIBUTE24           VARCHAR2(600),
    DRR_ATTRIBUTE25           VARCHAR2(600),
    DRR_ATTRIBUTE26           VARCHAR2(600),
    DRR_ATTRIBUTE27           VARCHAR2(600),
    DRR_ATTRIBUTE28           VARCHAR2(600),
    DRR_ATTRIBUTE29           VARCHAR2(600),
    DRR_ATTRIBUTE30           VARCHAR2(600),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    DSGN_RQMT_RLSHP_TYP_ID    NUMBER(18, 0),
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    RLSHP_TYP_CD              VARCHAR2(120),
    DSGN_RQMT_ID              NUMBER(18, 0),
    DRR_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    DRR_ATTRIBUTE1            VARCHAR2(600),
    DRR_ATTRIBUTE2            VARCHAR2(600),
    DRR_ATTRIBUTE3            VARCHAR2(600),
    DRR_ATTRIBUTE4            VARCHAR2(600),
    DRR_ATTRIBUTE5            VARCHAR2(600),
    DRR_ATTRIBUTE6            VARCHAR2(600),
    DRR_ATTRIBUTE7            VARCHAR2(600),
    DRR_ATTRIBUTE8            VARCHAR2(600),
    DRR_ATTRIBUTE9            VARCHAR2(600),
    DRR_ATTRIBUTE10           VARCHAR2(600),
    DRR_ATTRIBUTE11           VARCHAR2(600),
    DRR_ATTRIBUTE12           VARCHAR2(600),
    DRR_ATTRIBUTE13           VARCHAR2(600),
    DRR_ATTRIBUTE14           VARCHAR2(600),
    DRR_ATTRIBUTE15           VARCHAR2(600),
    DRR_ATTRIBUTE16           VARCHAR2(600),
    DRR_ATTRIBUTE17           VARCHAR2(600),
    DRR_ATTRIBUTE18           VARCHAR2(600),
    DRR_ATTRIBUTE19           VARCHAR2(600),
    DRR_ATTRIBUTE20           VARCHAR2(600),
    DRR_ATTRIBUTE21           VARCHAR2(600),
    DRR_ATTRIBUTE22           VARCHAR2(600),
    DRR_ATTRIBUTE23           VARCHAR2(600),
    DRR_ATTRIBUTE24           VARCHAR2(600),
    DRR_ATTRIBUTE25           VARCHAR2(600),
    DRR_ATTRIBUTE26           VARCHAR2(600),
    DRR_ATTRIBUTE27           VARCHAR2(600),
    DRR_ATTRIBUTE28           VARCHAR2(600),
    DRR_ATTRIBUTE29           VARCHAR2(600),
    DRR_ATTRIBUTE30           VARCHAR2(600),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_dsgn_rqmt_rlshp_typ PRIMARY KEY (DSGN_RQMT_RLSHP_TYP_ID, DSGN_RQMT_RLSHP_TYP_ID)
);
